# Filename:     tb_vhdl_tristate_example.do
# Filetype:     Modelsim Script File
# Date:         66 oct 2012
# Update:       -
# Description:  Script File For Automatic Simulation
# Author:       J. op den Brouw
# State:        Demo
# Error:        -
# Version:      1.2
# Copyright:    (c)2013, De Haagse Hogeschool

# This ModelSim command file houses all commands for 
# automaticly test the Tristate example

# Set transcript on
transcript on

# Recreate the work directory and map to work
if {[file exists rtl_work]} {
	vdel -lib rtl_work -all
}
vlib rtl_work
vmap work rtl_work

# Find out if we're started through Quartus or by hand
# (or by using an exec in the Tcl window in Quartus).
# Quartus has the annoying property that it will start
# Modelsim from a directory called "simulation/modelsim".
# The design and the testbench are located in the project
# root, so we've to compensate for that.
if [ string match "*simulation/modelsim" [pwd] ] { 
	set prefix "../../"
	puts "Running Modelsim from Quartus..."
} else {
	set prefix ""
	puts "Running Modelsim..."
}

# Compile the tristate description and testbench,
# please note that the design and its testbench is located
# in the project root, but the simulator start in directory
# <project_root>/simulation/modelsim, so we have to compensate
# for that.
vcom -2008 -work work ${prefix}vhdl_tristate_example.vhd
vcom -2008 -work work ${prefix}tb_vhdl_tristate_example.vhd

# Start the simulator with 1 ns time resolution
vsim -t 1ns -L rtl_work -L work -voptargs="+acc" tb_vhdl_tristate_example

#add list *

# Add waves
add wave *

# Open Structure, Signals (waveform) and List windo
view structure
view wave

# Run for 60 ns
run 60 ns

# Fill up the waveform in the window
wave zoom full