-- Filename:     tb_vhdl_tristate_example.vhd
-- Filetype:     VHDL testbench
-- Date:         7 dec 2012
-- Update:       -
-- Description:  VHDL Testbench Description
-- Author:       J. op den Brouw
-- State:        Demo
-- Error:        -
-- Version:      1.0
-- Copyright:    (c)2012, De Haagse Hogeschool

library ieee;
use ieee.std_logic_1164.all;

entity tb_vhdl_tristate_example iS
end tb_vhdl_tristate_example;

architecture testbench of tb_vhdl_tristate_example is
signal a : std_logic;
signal b : std_logic;
signal en1 : std_logic;
signal en2 : std_logic;
signal s : std_logic;

component vhdl_tristate_example
    port ( a : in std_logic;
           b : in std_logic;
           en1 : in std_logic;
           en2 : in std_logic;
           s : out std_logic
         );
end component;

begin
    dut : vhdl_tristate_example
    port map (a => a, b => b, en1 => en1, en2 => en2, s => s);
	
    stim : process
    begin
        wait for 10 ns;
	 
        a <= '0';
        b <= '1';
        en1 <= '0';
        en2 <= '0';
        wait for 10 ns;
 
        en1 <= '1';
        wait for 10 ns;

        en2 <= '1';
        wait for 10 ns;

        en1 <= '0';
        wait for 10 ns;

        en2 <= '0';
        wait for 10 ns;

        wait;
    end process stim;  

end testbench;
