-- Filename:     vhdl_tristate_example.vhd
-- Filetype:     VHDL Source Code
-- Date:         7 dec 2012
-- Update:       27 jan 2016
-- Description:  VHDL Description of two connected tristate buffers
-- Author:       J. op den Brouw
-- State:        Demo
-- Error:        -
-- Version:      1.1
-- Copyright:    (c)2016, De Haagse Hogeschool

-- This is a VHDL description of a two-wire tristate buffered bus.
-- The purpose of this design unit is to demonstrate the difference
-- between std_ulogic and std_logic signals.
-- For use: switch the port signals datatype between std_ulogic and
-- std_logic and run the simulator.
-- 
-- The 1164 library
library ieee;
use ieee.std_logic_1164.all;

-- The entity
entity vhdl_tristate_example is
    port (a, b, en1, en2:   in   std_logic;
          s:                out  std_logic);
end entity vhdl_tristate_example;

-- The architecture
architecture logic of vhdl_tristate_example is
begin
    -- Drive a and/of b on the bus, or High-Z
    s <= a when en1 = '1' else 'Z';
    s <= b when en2 = '1' else 'Z';
end architecture logic;
